<template>
  <div>
    <h1>Login to {{ app_name }}</h1>
    <router-view v-if="validating"></router-view>
    <div v-else>
      <p>Not validating</p>
      <router-link to="/login/validate">Validate</router-link>
    </div>
  </div>
</template>

<script>
export default {
  data: () => ({
    app_name: process.env.VUE_APP_NAME,
  }),
  computed: {
    validating () {
      return this.$route.path === '/login/validate';
    },
  },
  mounted () {
    // If the user is logged but the account is unverified
    if (this.$store.getters.loggedAndUnverified && !this.validating) {
      console.log('Redirecting', console.log(this.$route));
      this.$router.replace('/login/validate').catch(() => {});
    }
  },
};
</script>

<style scope>
</style>
